package com.myapp.tests;

import java.util.Collections;
import java.util.List;
import java.util.Vector;

import com.myapp.core.DAO;
import com.myapp.core.User;

/**
 * This is just mockup implementation of DAO. 
 * It uses java collections instead of a real database.
 * @author comar
 *
 */
public class TestDAO implements DAO {
	
	private List<User> users;
	
	

	public TestDAO() {
		users = new Vector<User>();
		users.add(new User("bar", "passwd"));
	}

	public List<User> getUsers() {
		return Collections.unmodifiableList(users);
	}

}
