package com.myapp.tests;

import static org.junit.Assert.assertTrue;

import org.junit.Before;
import org.junit.Test;

import com.google.inject.Guice;
import com.google.inject.Injector;
import com.myapp.core.UserController;
import com.myapp.inject.TestModule;

public class UserControllerTest {

	/**
	 * Our test subject
	 */
	private UserController userController;

	@Before
	public void setUp() {
		Injector injector = Guice.createInjector(new TestModule());
		userController = injector.getInstance(UserController.class);
	}

	@Test
	public void testLogin() {
		String testLogin = "bar";
		String testPasswd = "passwd";
		boolean loginResult = userController.login(testLogin, testPasswd);
		assertTrue(loginResult);
	}

}
